------------------------------------------------------------------------
--
-- Tivoli Enterprise Data Warehouse, v 1.1.0
-- (C) Copyright IBM Corp. 2002.  All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with
-- IBM Corp.
--
--
------------------------------------------------------------------------
-- File Information: src/rpi/sql/rpi_listmetrics_process_table.sql, twh_rpi, twh_1.1_ode
--
-- Revision: 1.2
--
-- Date: 7/16/02 15:36:30
------------------------------------------------------------------------

create table rpi.report_metrics (
   msmttyp_id           integer,
   msmttyp_nm   varchar(120)
);

insert into rpi.report_metrics (
   msmttyp_id,
   msmttyp_nm)
select
   t.msmttyp_id,
   t.msmttyp_nm
 from rpi.rpi_install_tmp t
 where not exists (
   Select 1 from rpi.report_metrics i
       where i.msmttyp_id = t.msmttyp_id
         and i.msmttyp_nm = t.msmttyp_nm)
;
