------------------------------------------------------------------------
--
-- Tivoli Enterprise Data Warehouse, v 1.1.0
-- (C) Copyright IBM Corp. 2002.  All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with
-- IBM Corp.
--
--
------------------------------------------------------------------------
-- File Information: src/rpi/sql/rpi_listreports_process_table.sql, twh_rpi, twh_1.1_ode
--
-- Revision: 1.2
--
-- Date: 7/16/02 15:36:57
------------------------------------------------------------------------

create table rpi.imported_reports (
   id     char(13) for bit data,
   name   varchar(68)
);

insert into rpi.imported_reports (
   id,
   name)
select
   r.report_id,
   t.source_name
 from rpi.report r,
      rpi.rpi_install_tmp t
 where t.rel_type='ReportToStarSchema'
   and t.source_name=r.report_name
   and not exists (
   Select 1 from rpi.imported_reports i
       where i.id = r.report_id
         and i.name = t.source_name)
;
